> For the complete documentation index, see [llms.txt](https://docs.echobase.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.echobase.app/echostation/guild-commands/guildstatus.md).

# guildstatus

{% hint style="warning" %}
This command is restricted to those with an Echo Role only.
{% endhint %}

#### Command Definition

**`eb.{allyCode}.guildstatus`**

{% hint style="info" %}
Ally code is only required if you have registered multiple ally codes to your Discord account.
{% endhint %}

| **Parameters** | **Options** | **Example**                    | Shortcut              |
| -------------- | ----------- | ------------------------------ | --------------------- |
| -              | -           | **`eb.guildstatus`**           | **`eb.gs`**           |
| -              | ally code   | **`eb.123456789.guildstatus`** | **`eb.123456789.gs`** |
| -              | help        | **`eb.help guildstatus`**      | **`eb.help gs`**      |

You can use this command to get a formatted list of each guild member's status.

![Example of a guild's status](/files/-LRroMaT52UTSYBHqTHe)

The guild's name is printed in the author line and the guild's banner icon appears in the top-right corner for easy guild identification in servers that have multiple registered guilds.

Each status is separated into its own embedded list. Members are displayed in this format, whenever possible: `{allyCode}{gameName}{emojiForOfficerOrLeader}{@mention}{emojiForEchoRole}`

First, an overview embed will list several items of general guild information, including GP counts, leader/officers, and which channels have been verified for EchoBase use.

Next, a green embed will list all, if any, of the guild members who are registered. These members should be able to receive a DM or a @mention from EchoBase, given the correct Discord settings and permissions.

Next, a grey embed will list all, if any, of the guild members who are currently being ignored by EchoBase, and how many days are remaining of their ignore status (if given).

Lastly, a red embed will list all, if any, of the guild members who are not registered. **These members will receive assignments, but will not be able to receive a DM or a @mention from EchoBase until their Discord user accounts are registered.**


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.echobase.app/echostation/guild-commands/guildstatus.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
